Alert
Get GA
GET
Gets an alert.
API scopes: alerts
Parameters
- idstringpath
Response
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- valueobjectRequired
Show child attributesHide child attributes
- string_valuestringRequired
- double_valuedoubleRequired
- bool_valuebooleanRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
Show child attributesHide child attributes
- user_emailstringRequired
- destination_idstringRequired
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
List GA
GET
Gets a list of alerts accessible to the user, ordered by creation time.
API scopes: alerts
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
- alertsarray of object
Show child attributesHide child attributes
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
- valueobjectRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- next_page_tokenstring
Create GA
POST
Create Alert
API scopes: alerts
Request body
- alertobject
Show child attributesHide child attributes
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
- valueobjectRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
Response
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- valueobjectRequired
Show child attributesHide child attributes
- string_valuestringRequired
- double_valuedoubleRequired
- bool_valuebooleanRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
Show child attributesHide child attributes
- user_emailstringRequired
- destination_idstringRequired
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
Update GA
PATCH
Update alert
API scopes: alerts
Parameters
- alertobjectpath
Show child attributesHide child attributes
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
- valueobjectRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- update_maskstringquery
Response
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- parent_pathstring
The workspace path of the folder containing the alert. Can only be set on create, and cannot be updated.
- query_textstring
Text of the query to be run.
- warehouse_idstring
ID of the SQL warehouse attached to the alert.
- run_as_user_namestring
The run as username or application ID of service principal. On Create and Update, this field can be set to application ID of an active service principal. Setting this field requires the servicePrincipal/user role. Deprecated: Use
run_asfield instead. This field will be removed in a future release.
- evaluationobject
Show child attributesHide child attributes
- sourceobject
Source column from result to use to evaluate alert
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- comparison_operatorstring
Operator used for comparison in alert evaluation.
- thresholdobject
Threshold to user for alert evaluation, can be a column or a value.
Show child attributesHide child attributes
- columnobjectRequired
Show child attributesHide child attributes
- namestring
- displaystring
- aggregationstring
If not set, the behavior is equivalent to using
First rowin the UI.
- valueobjectRequired
Show child attributesHide child attributes
- string_valuestringRequired
- double_valuedoubleRequired
- bool_valuebooleanRequired
- notificationobject
User or Notification Destination to notify when alert is triggered.
Show child attributesHide child attributes
- subscriptionsarray of object
Show child attributesHide child attributes
- user_emailstringRequired
- destination_idstringRequired
- retrigger_secondsint32
Number of seconds an alert waits after being triggered before it is allowed to send another notification. If set to 0 or omitted, the alert will not send any further notifications after the first trigger Setting this value to 1 allows the alert to send a notification on every evaluation where the condition is met, effectively making it always retrigger for notification purposes.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- statestring
Latest state of alert evaluation.
- last_evaluated_atstring
Timestamp of the last evaluation.
- empty_result_statestring
Alert state if result is empty. Please avoid setting this field to be
UNKNOWNbecauseUNKNOWNstate is planned to be deprecated.
- scheduleobject
Show child attributesHide child attributes
- quartz_cron_schedulestring
A cron expression using quartz syntax that specifies the schedule for this pipeline. Should use the quartz format described here: http://www.quartz-scheduler.org/documentation/quartz-2.1.7/tutorials/tutorial-lesson-06.html
- timezone_idstring
A Java timezone id. The schedule will be resolved using this timezone. This will be combined with the quartz_cron_schedule to determine the schedule. See https://docs.databricks.com/sql/language-manual/sql-ref-syntax-aux-conf-mgmt-set-timezone.html for details.
- pause_statusstring
Indicate whether this schedule is paused or not.
- lifecycle_statestring
Indicates whether the query is trashed.
- custom_summarystring
Custom summary for the alert. support mustache template.
- custom_descriptionstring
Custom description for the alert. support mustache template.
- run_asobject
Specifies the identity that will be used to run the alert. This field allows you to configure alerts to run as a specific user or service principal.
- For user identity: Set
user_nameto the email of an active workspace user. Users can only set this to their own email. - For service principal: Set
service_principal_nameto the application ID. Requires theservicePrincipal/userrole. If not specified, the alert will run as the request user.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.
- For user identity: Set
- effective_run_asobject
The actual identity that will be used to execute the alert. This is an output-only field that shows the resolved run-as identity after applying permissions and defaults.
Show child attributesHide child attributes
- user_namestringRequired
The email of an active workspace user. Can only set this field to their own email.
- service_principal_namestringRequired
Application ID of an active service principal. Setting this field requires the
servicePrincipal/userrole.